Name:		fbset
Version:	2.1
Release:	%mkrel 34
Summary:	Framebuffer utilities for changing video modes
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://users.telenet.be/geertu/Linux/fbdev/
Source:		http://users.telenet.be/geertu/Linux/fbdev/fbset-%{version}.tar.gz
Patch1:		fbset-2.0-pre-19981028.patch
Patch2:		fbset-2.1-mdkconf.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	bzip2

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%prep
%setup -q
%patch -P 1 -p1
%patch -P 2 -p1 -b .mdkconf

perl -pi -e 's|geometry 10224 768 10224 768 8|geometry 1024 768 1024 768 8|' etc/fb.modes.ATI
perl -pi -e 's|geometry 1024 1024 1024 1024 8|geometry 1280 1024 1280 1024 8|' etc/fb.modes.ATI

%build
%make_build CFLAGS="%{optflags}"

%install
#make install PREFIX=%%{buildroot}
install %{name} -D %{buildroot}%{_sbindir}/%{name}
bzip2 %{name}.8 fb.modes.5
install %{name}.8.bz2 -D %{buildroot}%{_mandir}/man8/%{name}.8.bz2
install fb.modes.5.bz2 -D %{buildroot}%{_mandir}/man5/fb.modes.bz2

## It's a useable default not perfect but ..
install etc/fb.modes.ATI -D %{buildroot}%{_sysconfdir}/fb.modes

%files
#/dev/*
%{_sbindir}/%{name}
%{_mandir}/man[58]/*
%config(noreplace) %{_sysconfdir}/fb.modes


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1-34.mga10
+ Revision: 2223552
- Mageia 10 Mass Rebuild

* Tue Apr 02 2024 daviddavid <daviddavid> 2.1-32.mga10
+ Revision: 2053810
- use new pacth macro

* Fri Mar 18 2022 umeabot <umeabot> 2.1-31.mga9
+ Revision: 1797696
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.1-30.mga8
+ Revision: 1512204
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1-29.mga7
+ Revision: 1297669
- Mageia 7 Mass Rebuild

* Sun Aug 27 2017 daviddavid <daviddavid> 2.1-28.mga7
+ Revision: 1148388
- honor user CFLAGS thus fixing empty debugsourcefiles.list
- add an URL and a Source URL

* Tue Feb 02 2016 umeabot <umeabot> 2.1-27.mga6
+ Revision: 931727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-26.mga5
+ Revision: 748983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-25.mga5
+ Revision: 679104
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1-24.mga4
+ Revision: 504389
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1-23.mga3
+ Revision: 350076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 23 2011 steletch <steletch> 2.1-22.mga1
+ Revision: 75937
- Clean spec file
- imported package fbset


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1-22mdv2011.0
+ Revision: 605120
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1-21mdv2010.1
+ Revision: 522626
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1-20mdv2010.0
+ Revision: 424429
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.1-19mdv2009.1
+ Revision: 350985
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1-18mdv2009.0
+ Revision: 220785
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.1-17mdv2008.1
+ Revision: 149717
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 2.1-16mdv2008.0
+ Revision: 18881
- clean spec, bzip manpages, rebuild for new era


* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1-15mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.1-14mdk
- Rebuild

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1-13mdk
- fix deps for build

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.1-12mdk
- rebuild
- macroize

